Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.feedback
Class Evaluator

    java.lang.Object
      mauda.feedback.Evaluator

Direct Known Subclasses:
  FaultEvaluator, NormalEvaluator

    public class Evaluator

extends java.lang.Object

Evaluator-base-class for automatic evaluation of exercises

Author:
  Markus Krebs

Constructor Summary
`Evaluator()` Creates an Evaluator

Method Summary
`void` | `evaluate(OperationRecorder or)` Evaluates a total processed exercise
`java.lang.String` | `getHTMLMessage()` Gets a string-html-representation of the errors made, with diverse statistics.
`java.lang.String` | `getScoreString()` Gets the reached score in points of hundred (x of 100)
`void` | `load(java.util.HashMap v)` Loads this evaluator from a HashMap-representation, that was readed from a xml-file.
`void` | `log(FeedbackObject fo)` Logs an FeedbackObject the evaluator needs to evaluate a processed exercise.
`void` | `log(int id)` Logs specific states that are reached by the student in FaultMode.
`void` | `postProcessing(java.util.Vector v)` An exercise-mode like FaultMode needs to configurate some values after loading of the exercise, and this is done in this method.
`java.util.HashMap` | `save()` Converts the results of the evaluator in a HashMap-representation for saving-purposes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Evaluator

    public Evaluator()

  Creates an Evaluator

Method Detail

### getScoreString

    public java.lang.String getScoreString()

  Gets the reached score in points of hundred (x of 100)

  Returns:
    Score-string

### postProcessing

    public void postProcessing(java.util.Vector v)

  An exercise-mode like FaultMode needs to configurate some values after loading of the exercise, and this is done in this method.

  Parameters:
    `v` - Vector of the exercise-todo-operations
  See Also:
    `FaultEvaluator.postProcessing(Vector)`

### evaluate

    public void evaluate(OperationRecorder or)

  Evaluates a total processed exercise

  Parameters:
    `or` - OperationRecorder

### log

    public void log(FeedbackObject fo)

  Logs an FeedbackObject the evaluator needs to evaluate a processed exercise. Mostly this is a FeedbackObject, which contains an error that was made.

  Parameters:
    `fo` - FeedbackObject

### log

    public void log(int id)

  Logs specific states that are reached by the student in FaultMode. E.g.: False chosen type of failure

  Parameters:
    `id` - FaultEvaluator-ID
  See Also:
    `FaultEvaluator.SEARCH_FAILURE`, `FaultEvaluator.FIRST_FAILURE_FOUND`, `FaultEvaluator.FALSE_CORRECT`, `FaultEvaluator.FALSE_NOT_FIRST`, `FaultEvaluator.FALSE_FAILURE_TYPE_SELECTED`, `FaultEvaluator.CORRECT_MODE`

### getHTMLMessage

    public java.lang.String getHTMLMessage()

  Gets a string-html-representation of the errors made, with diverse statistics.

  Returns:
    string-html-represenation of the errors made

### save

    public java.util.HashMap save()

  Converts the results of the evaluator in a HashMap-representation for saving-purposes.

  Returns:
    HashMap-representation of the results

### load

    public void load(java.util.HashMap v)

  Loads this evaluator from a HashMap-representation, that was readed from a xml-file.

  Parameters:
    `v` - HashMap-representation of the results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD